Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.entity
Class AbstractEntitySelector

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.AbstractSelector
          org.optaplanner.core.impl.heuristic.selector.entity.AbstractEntitySelector

All Implemented Interfaces:
  Iterable<Object>, EventListener, ListIterable<Object>, EntitySelector, IterableSelector<Object>, ListIterableSelector<Object>, Selector, SolverPhaseLifecycleListener, SolverLifecycleListener

Direct Known Subclasses:
  AbstractCachingEntitySelector, FilteringEntitySelector, FromSolutionEntitySelector, ProbabilityEntitySelector

    public abstract class AbstractEntitySelector

extends AbstractSelector
implements EntitySelector

Abstract superclass for `EntitySelector`.

See Also:
  `EntitySelector`

Field Summary

Fields inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector
`logger, solverPhaseLifecycleSupport, workingRandom`

Constructor Summary
`AbstractEntitySelector()`

Method Summary

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector
`getCacheType, phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.entity.EntitySelector
`endingIterator, getEntityDescriptor`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.IterableSelector
`getSize`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector
`getCacheType, isContinuous, isNeverEnding`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.common.iterator.ListIterable
`listIterator, listIterator`

Methods inherited from interface java.lang.Iterable
`iterator`

Constructor Detail

### AbstractEntitySelector

    public AbstractEntitySelector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.